<?php

/*
 * Конфигурационный файл для роутера.
 * Здесь описаны все маршруты, которые роутер будет обслуживать.
 */

return [ // Файл возвращает массив
    [ // Описание первого маршрута
        'pattern' => '/^\/$/', // Регулярное выражение, соответствующее маршруту
        'filepath' => __DIR__ . '/pages/home.php', // Подключаемый файл, соответствующий маршруту
    ],
    [
        'pattern' => '/^\/products$/',
        'filepath' => __DIR__ . '/pages/products-list.php',
    ],
    [
        'pattern' => '/^\/product\/(\d+)$/',
        'filepath' => __DIR__ . '/pages/product.php',
    ],
];
